---
title: 生活に自動化を取り入れるために必要なもの
date: 2018-08-05 00:00:00 +09:00
---

生活にオートメーションを上手く取り入れ、本当にやりたいことや、やるべきことに集中できる環境をつくろう。
# 洗濯の自動化

Panasonicのドラム洗濯乾燥機を使っている。威力を最大限に享受するため、タンブラー乾燥向けの普段着を揃えておくことも重要だ。

洗剤は粉と液体とが一体化したジェルボール洗剤が便利。ドラムの底にひとつ置くだけでよく、計量する必要がない。

# 食器洗いの自動化

Panasonic NC-TCR2という一人暮らし用のコンパクト食洗乾燥機が便利。

洗濯機と同じく食洗機専用のジェルボール洗剤を使えば計量する手間を省ける。

# 照明の自動化

Hueはインターネット経由で明るさや色相をコントロールすることができる電球である。

- 「家から離れたら消灯」
- 「家に近付いたら点灯」
- 「日が暮れたら暖色系に切り替える」
- 「23時になったら消灯」

など多様なルールを作ることができる。

家では外の明るさに合わせて照明の明るさを調整して、概日リズムが崩れにくいようにルールを決めている。

# 空調の自動化

Nature Remoでエアコンの操作を自動化した。

- 「湿度が高ければドライに変更」
- 「家から離れたら電源オフ」
- 「朝になったら冷房へ切り替え」

など多様なルールを作ることができる。

Nature Remo自体はエアコン専用ではなく、赤外線で操作出来るデバイスであればなんでも操作できる。家ではテレビもこれで操作している。

ちなみに[Nature RemoをNodeJSで操作することができるライブラリ](https://github.com/uetchy/nature-remo)を作ったので、是非使ってみて欲しい。ライブラリ経由で温度・湿度・明度のセンサー値を取得したり、指定したモードにエアコンを切り替えることができる。

# 自動施錠・自動開錠

Qrio Lockをドアに取り付けることでオートロックとオートアンロックができるようになった。

# 睡眠記録の自動化

Withings改めNokiaのSleepを使っている。
睡眠を計測する際、身体にウェアラブルデバイスを身につける必要がないという点で、Nokia SleepはApple WatchやFitbitよりも優れている。

機能としては、入眠・起床検知、心拍数記録、睡眠深度解析、いびき検出、IFTTT連携がある。

# 体重記録の自動化

WithingsのWi-Fi Scaleを使っている。体重と体脂肪率、心拍数、BMIをWi-Fi経由でクラウドに自動記録し、Apple Healthなどで推移を確認できる。

Wi-Fi ScaleにはCO2センサーもついており、部屋の二酸化炭素濃度を記録してくれる。

# コーヒー豆のサブスクリプション

珈琲きゃろっとのサブスクリプションを利用している。

# オンラインスーパー

イトーヨーカドーのオンラインスーパーを使っている。お気に入りリストへ牛乳、オレンジ、ベーコン、卵など毎回買うものを登録しておくことで、慣れれば5分程度で注文が完了する。あとは指定した時間に家へ商品を届けてくれる。

# 自動家計簿

MoneyForwardを使っている。支出を自動で食費、趣味、日用品などに仕分けてくれる。
無現金縛りプレイと相性が良い。

# 自炊の効率化

最近COMPで食事を置き換え始めた。まだ評価は出来ないが少なくとも味は悪くなく（薄いきな粉のような味）、不足しがちなビタミンや鉄分を補える点では良い製品だと思う。

# 気になる製品

## ルンバ

ルンバは気になるが、絨毯を取り除くわけにもいかないので二の足を踏んでいる。ルンバについては[KainokiKaede's diary](http://kainokikaede.hatenablog.com/entry/2018/07/24/185452)の素晴らしい記事を読んで欲しい。

